| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Member Functions | Public Attributes | List of all members
ISignatureField Interface Reference
PDF » form

Interface representing a signature field in a PDF document. More...

Inheritance diagram for ISignatureField:

## Public Member Functions
Promise< Array< number >|undefined > | getByteRange ()
| Retrieves the byte range of the current signature. More...
Promise< string|undefined > | getFilter ()
| Retrieves the filter of the current signature. More...
string | getName ()
| Retrieves the signature field name. More...
Promise< string > | getSigner ()
| Gets the name of the signer. More...
Promise< SignatureInfo > | getSignInfo ()
| Retrieves the signature information for the field. More...
Promise< string|undefined > | getSubfilter ()
| Retrieves the subfilter of the current signature. More...
Promise< boolean > | isSigned ()
| Checks whether the current signature is signed. More...
Promise< number > | verify ()
| Verifies the signature, returning the result of the verification. More...

## Public Attributes
readonly boolean | isFormField
| Indicates if the signature field is a form field.
readonly boolean | isXFAField
| Indicates if the signature field is part of an XFA form.
readonly number | verifiedResult
| The verification result of the current signature. If the signature has not been verified, this property is undefined. More...

## Detailed Description

Interface representing a signature field in a PDF document.

This is a common interface used to represent the common properties and methods of XFA signature fields and form signature fields in a PDF document. For methods that use this interface as a parameter, it indicates that the method can support both XFA and Form signature fields.

Since
  11.0.0

See also
  ISignatureUI
  ISignDocDialog
  ISignVerifiedResultDialog
  ISignedSignaturePropertiesDialog

## Member Function Documentation

## ◆ getByteRange()

Promise<Array<number>|undefined> ISignatureField::getByteRange | ( |  | ) |

Retrieves the byte range of the current signature.

Returns
  Promise<number[]> - The byte range of the signature if signed; otherwise, an empty array.

Since
  11.0.0

Implemented in PDFSignature.

## ◆ getFilter()

Promise<string|undefined> ISignatureField::getFilter | ( |  | ) |

Retrieves the filter of the current signature.

Filter and subfilter specify which registered signature callback object will be used to sign/verify the current signature.

Returns
  Promise<string|undefined> - The filter of the signature if signed; otherwise, undefined.

Since
  11.0.0

Implemented in PDFSignature.

## ◆ getName()

string ISignatureField::getName | ( |  | ) |

Retrieves the signature field name.

Returns
  string - The name of the signature field.

Since
  11.0.0

## ◆ getSigner()

Promise<string> ISignatureField::getSigner | ( |  | ) |

Gets the name of the signer.

Returns
  Promise<string> - A promise that resolves to the signer's name.

Implemented in PDFSignature.

## ◆ getSignInfo()

Promise<SignatureInfo> ISignatureField::getSignInfo | ( |  | ) |

Retrieves the signature information for the field.

Returns
  Promise<SignatureInfo> - Information about the signature.

Since
  11.0.0

Implemented in PDFSignature, IFormSignatureField, and IXFASignatureField.

## ◆ getSubfilter()

Promise<string|undefined> ISignatureField::getSubfilter | ( |  | ) |

Retrieves the subfilter of the current signature.

Filter and subfilter specify which registered signature callback object will be used to sign/verify the current signature.

Returns
  Promise<string|undefined> - The subfilter of the signature if signed; otherwise, undefined.

Since
  11.0.0

Implemented in PDFSignature.

## ◆ isSigned()

Promise<boolean> ISignatureField::isSigned | ( |  | ) |

Checks whether the current signature is signed.

Returns
  Promise<boolean> - True if the signature is signed; otherwise, false.

Since
  11.0.0

Implemented in PDFSignature.

## ◆ verify()

Promise<number> ISignatureField::verify | ( |  | ) |

Verifies the signature, returning the result of the verification.

Parameters

  force | boolean - Whether to force verification even if a result is already cached.

Returns
  Promise<number> - The verification result code.

Since
  11.0.0

See also
  SignatureWorkflowService.setVerifyHandler

## Member Data Documentation

## ◆ verifiedResult

readonly number ISignatureField::verifiedResult

The verification result of the current signature. If the signature has not been verified, this property is undefined.

Since
  11.0.0

@2025 Foxit Software Incorporated. All rights reserved.